## org.eclipse.m2m.atl.adt.ui.common
Class AtlResourceSelectionBox

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.emf.common.ui.dialogs.ResourceDialog
                  org.eclipse.emf.edit.ui.action.LoadResourceAction.LoadResourceDialog
                      org.eclipse.m2m.atl.adt.ui.common.AtlResourceSelectionBox

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class AtlResourceSelectionBox

extends org.eclipse.emf.edit.ui.action.LoadResourceAction.LoadResourceDialog

Provide dialogs to get EMF metamodels URIs or path. This class originally came from plugin `org.eclipse.emf.ecore.editor`.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.LoadResourceAction.LoadResourceDialog
`domain`

Fields inherited from class org.eclipse.emf.common.ui.dialogs.ResourceDialog
`CONTROL_OFFSET, style, title, uriField, uriText`

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`AtlResourceSelectionBox(org.eclipse.swt.widgets.Shell parent)` Creates the dialogs.

Method Summary
`org.eclipse.swt.widgets.Control` `createDialogArea(org.eclipse.swt.widgets.Composite parent)`
`java.util.Set<org.eclipse.emf.ecore.EPackage>` `getRegisteredPackages()`
`org.eclipse.swt.widgets.Shell` `getShell()`
`java.lang.String` `getURIText()`
`protected boolean` `isMulti()`
`protected boolean` `processResource(org.eclipse.emf.ecore.resource.Resource resource)`
`void` `setText(java.lang.String text)` Sets the dialog text.

Methods inherited from class org.eclipse.emf.edit.ui.action.LoadResourceAction.LoadResourceDialog
`processResources`

Methods inherited from class org.eclipse.emf.common.ui.dialogs.ResourceDialog
`configureShell, getURIs, isSave, normalizeStyle, okPressed, prepareBrowseFileSystemButton, prepareBrowseWorkspaceButton`

Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createButtonsForButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlResourceSelectionBox

    public AtlResourceSelectionBox(org.eclipse.swt.widgets.Shell parent)

  Creates the dialogs.

  Parameters:
    `parent` - the parent shell

Method Detail

### processResource

    protected boolean processResource(org.eclipse.emf.ecore.resource.Resource resource)

  Overrides:
    `processResource` in class `org.eclipse.emf.edit.ui.action.LoadResourceAction.LoadResourceDialog`
  See Also:
    `LoadResourceAction.LoadResourceDialog.processResource(org.eclipse.emf.ecore.resource.Resource)`

### getRegisteredPackages

    public java.util.Set<org.eclipse.emf.ecore.EPackage> getRegisteredPackages()

### createDialogArea

    public org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

  Overrides:
    `createDialogArea` in class `org.eclipse.emf.common.ui.dialogs.ResourceDialog`
  See Also:
    `ResourceDialog.createDialogArea(org.eclipse.swt.widgets.Composite)`

### getURIText

    public java.lang.String getURIText()

  Overrides:
    `getURIText` in class `org.eclipse.emf.common.ui.dialogs.ResourceDialog`
  See Also:
    `ResourceDialog.getURIText()`

### setText

    public void setText(java.lang.String text)

  Sets the dialog text.

  Parameters:
    `text` - the text

### getShell

    public org.eclipse.swt.widgets.Shell getShell()

  Specified by:
    `getShell` in interface `org.eclipse.jface.window.IShellProvider`
  Overrides:
    `getShell` in class `org.eclipse.jface.window.Window`
  See Also:
    `Window.getShell()`

### isMulti

    protected boolean isMulti()

  Overrides:
    `isMulti` in class `org.eclipse.emf.common.ui.dialogs.ResourceDialog`
  See Also:
    `ResourceDialog.isMulti()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.